net.dontdrinkandroot.utils.progressmonitor

## Class ProgressStatus

- java.lang.Object
- - net.dontdrinkandroot.utils.progressmonitor.ProgressStatus

All Implemented Interfaces:
  Serializable

    public class ProgressStatus
    extends Object
    implements Serializable

This object saves the current status of a `ProgressMonitor`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProgressStatus()` Create a new Progress with percentage set to zero and an empty message.
`ProgressStatus(int percent, String message)` Create a new Progress Status with the given percentage and message.

### Method Summary

Methods
`String` `getMessage()` Get the current message.
`Integer` `getProgress()` Get the current percentage.
`void` `setMessage(String message)` Set the current message.
`void` `setProgress(Integer percent)` Set the current percentage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressStatus

    public ProgressStatus()

Create a new Progress with percentage set to zero and an empty message.

#### ProgressStatus

    public ProgressStatus(int percent,
                  String message)

Create a new Progress Status with the given percentage and message.

### Method Detail

#### getMessage

    public final String getMessage()

Get the current message.

Returns:
  The current message.

#### setMessage

    public final void setMessage(String message)

Set the current message.

Parameters:
  `message` - The current message.

#### getProgress

    public final Integer getProgress()

Get the current percentage.

Returns:
  The current percentage.

#### setProgress

    public final void setProgress(Integer percent)

Set the current percentage.

Parameters:
  `percent` - The current percentage.